<?php
/**
 * ============================================================================
 * 版权所有 福建荣升信息技术有限公司，保留所有权利。
 * 网站地址: http://www.fjrsweb.cn;
 * ----------------------------------------------------------------------------
 * 这不是一个自由软件！您只能在不用于商业目的的前提下对程序代码进行修改和使用；
 * 不允许对程序代码以任何形式任何目的的再发布。
 * ============================================================================
*/
header('Access-Control-Allow-Origin:*'); 
if (empty($dduser)){
    exit();	
}
dd_session_start();

$key=$webset['key'];
unset($data['val']);  //不清楚 哪里引的
$table=$_REQUEST['table'];
$ids=explode(",",$_REQUEST['ids']);

//如果类中有del方法，先用del方法进行判断
if (method_exists($table ,"del" )){
       app($table)->del($ids);
}
	
foreach ($ids as $id){	
    db()->query("BEGIN"); //或者mysql_query("START TRANSACTION");
	$res=$duoduo->delete($table,"id=$id");
	if (method_exists($table ,"DelComplete" )){
       $res=app($table)->DelComplete($id);
        if ($res==false){
	     	 db()->query("ROLLBACK");
	     	 json(1,"删除失败");
       }
    }
    db()->query("COMMIT");

} 
 
	$data['code']=0;
    $data['msg']="删除成功";
	echo dd_json_encode($data);
	
?>